# Update Creatives

Update up to 100 creatives in a single request. Specify only the properties you want to update. Properties you omit remain unchanged.

This endpoint is transactional. If the request succeeds, all creatives are updated. If the request fails, no creatives are updated.

Endpoint: PATCH /creatives
Security: SessionCookie

## Security:

  - `SessionCookie` (unknown)
    apiKey in header Cookie

## Request fields (application/json):

  - `creatives` (array)

  - `creatives.id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `creatives.pixel_url` (string)
    Example: https://apixelurl.com

  - `creatives.campaign_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `creatives.category_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `creatives.insertion_order_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

## Response 200:

  - `200` (unknown)
    Operation completed successfully.

## Response 200 fields (application/json):

  - `creatives` (array)

  - `creatives.id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `creatives.campaign_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `creatives.create_time` (string)
    Example: 2004-09-22T16:16:42Z

  - `creatives.name` (string)
    Example: Some-Advertising-Campaign-2025.jpg

  - `creatives.thumbnail_url` (string)
    Example: https://transcodes.vistarmedia.com.s3.amazonaws.com/abc123/thumb.png

  - `creatives.pixel_url` (string)
    Example: https://apixelurl.com

  - `creatives.duration_ms` (integer)
    Example: 1500

  - `creatives.category_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

  - `creatives.archived` (boolean)
    Example: false

  - `creatives.type` (string)
    Enum: "NONE", "DYNAMIC", "SAGE_AND_ARCHER_DYNAMIC", "IMAGE", "VIDEO", "AUDIO", "UNKNOWN"

  - `creatives.requires_audio` (boolean)
    Example: true

  - `creatives.processing_status` (string)
    Enum: "PROCESSING", "PROCESSED", "FAILED"

  - `creatives.asset` (object)

  - `creatives.asset.url` (string)
    Example: https://transcodes.vistarmedia.com.s3.amazonaws.com/abc123/abc123-1920x1080.png

  - `creatives.asset.height` (integer)
    Example: 1080

  - `creatives.asset.width` (integer)
    Example: 1920

  - `creatives.asset.format` (string)
    Example: video/mp4

  - `creatives.asset.file_size_bytes` (integer)
    Example: 1024

  - `creatives.audits` (array)

  - `creatives.audits.publisher_id` (string)
    The ID of the media owner that must approve the creative.
    Example: juIGaOygS0CBBqtmXHamqA

  - `creatives.audits.publisher_name` (string)
    The name of the media owner that must approve the creative.
    Example: Some Publisher Name

  - `creatives.audits.status` (string)
    The approval status. Possible values include:
- `PENDING`: The audit is in the media owner's queue awaiting review.
- `APPROVED`: The creative is approved for display.
- `DENIED`: The creative is denied and won't serve to the media owner. Check the audit's `message` property for more information.
    Enum: "PENDING", "APPROVED", "DENIED"

  - `creatives.audits.message` (string)
    An optional message from the media owner that may explain why the creative was approved or denied or provide other relevant information.
    Example: Looks good to me!

  - `creatives.audits.last_reviewed` (string)
    The time of the most recent approval or denial.
    Example: 2004-09-22T16:16:42Z

  - `creatives.advertiser_id` (string)
    Example: juIGaOygS0CBBqtmXHamqA

  - `creatives.insertion_order_ids` (array)
    Example: ["juIGaOygS0CBBqtmXHamqA"]

## Response 400:

  - `400` (unknown)
    Bad request. The request contains invalid syntax or encoding.

## Response 400 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 401:

  - `401` (unknown)
    Not authorized. Authentication is required to access the requested resource.

## Response 401 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 403:

  - `403` (unknown)
    Not authenticated. Re-authenticate to access the API.

## Response 403 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 404:

  - `404` (unknown)
    Not found. The requested resource doesn't exist.

## Response 404 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 422:

  - `422` (unknown)
    Invalid request. One or more request parameters are invalid. See the response for more details.

## Response 422 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 429:

  - `429` (unknown)
    Too many requests. Your API call frequency has exceeded limits.

## Response 429 fields (application/json):

  - `message` (string)

  - `data` (array)

  - `data.field` (string)

  - `data.messages` (array)

## Response 400 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 403 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

## Response 422 examples:

  - `response` (unknown)

## Response 429 examples:

  - `response` (unknown)

